# Turn off the brp-python-bytecompile automagic
%global _python_bytecompile_extra 0

Name:       python-rpm-macros
Version:    3.9
%define subrel 1
Release:    %mkrel 5
Summary:    The common Python RPM macros
Group:      Development/Python
# macros: MIT, compileall2.py: PSFv2
License:    MIT and Python

# Macros
Source101:  macros.python
Source102:  macros.python-srpm
Source103:  macros.python2
Source104:  macros.python3
Source105:  macros.pybytecompile

# Lua files
Source201:  python.lua

# Python code
%global compileall2_version 0.7.1
Source301:      https://github.com/fedora-python/compileall2/raw/v%{compileall2_version}/compileall2.py
Source302:      import_all_modules.py

# restore pyX_inc:
Source401:       macros.python-mga

BuildArch:      noarch
# For %%python3_pkgversion used in %%python_provide and compileall2.py
Requires:       python-srpm-macros >= 3-9
Obsoletes:      python-macros < 3
Provides:       python-macros = %{version}-%{release}

%description
This package contains the unversioned Python RPM macros, that most
implementations should rely on.

You should not need to install this package manually as the various
python?-devel packages require it. So install a python-devel package instead.

%package -n python-srpm-macros
Summary:        RPM macros for building Python source packages

%description -n python-srpm-macros
RPM macros for building Python source packages.

%package -n python2-rpm-macros
Summary:        RPM macros for building Python 2 packages
Group:          Development/Python
Requires:       python-srpm-macros
# (tv) it use macros such as %%py_setup from that sub package:
Requires:       python-rpm-macros

%description -n python2-rpm-macros
RPM macros for building Python 2 packages.

%package -n python3-rpm-macros
Summary:        RPM macros for building Python 3 packages
Group:          Development/Python
Requires:       python-srpm-macros
# (tv) it use macros such as %%py_setup and import_all_modules.py from that sub package:
Requires:       python-rpm-macros

%description -n python3-rpm-macros
RPM macros for building Python 3 packages.

%prep
%autosetup -c -T
cp -a %{sources} .

%build

%install
mkdir -p %{buildroot}%{_rpmmacrodir}
install -m 644 macros.* %{buildroot}%{_rpmmacrodir}

mkdir -p %{buildroot}%{_rpmluadir}/fedora/srpm
install -m 644 python.lua %{buildroot}%{_rpmluadir}/fedora/srpm

mkdir -p %{buildroot}%{_rpmconfigdir}/redhat
install -m 644 compileall2.py %{buildroot}%{_rpmconfigdir}/redhat
install -m 644 import_all_modules.py %{buildroot}%{_rpmconfigdir}/redhat/

%files
%{_rpmmacrodir}/macros.python
%{_rpmmacrodir}/macros.pybytecompile
%{_rpmconfigdir}/redhat/import_all_modules.py

%files -n python-srpm-macros
%{_rpmmacrodir}/macros.python-srpm
%{_rpmmacrodir}/macros.python-mga
%{_rpmconfigdir}/redhat/compileall2.py
%{_rpmluadir}/fedora/srpm/python.lua

%files -n python2-rpm-macros
%{_rpmmacrodir}/macros.python2

%files -n python3-rpm-macros
%{_rpmmacrodir}/macros.python3


%changelog
* Thu Aug 11 2022 wally <wally> 3.9-5.1.mga8
+ Revision: 1876944
- introduce %%py3_check_import macro from cauldron (mga#30734)

* Mon Sep 28 2020 wally <wally> 3.9-5.mga8
+ Revision: 1630985
- define %%__python as python3

* Mon Sep 28 2020 wally <wally> 3.9-4.mga8
+ Revision: 1630981
- disable unversioned python error for now

* Mon Sep 28 2020 wally <wally> 3.9-3.mga8
+ Revision: 1630945
- sync macros.python-srpm with Fedora where appropriate

* Sun Sep 27 2020 guillomovitch <guillomovitch> 3.9-2.mga8
+ Revision: 1630800
- rebuild to fix automatic dependencies

* Sun Sep 27 2020 guillomovitch <guillomovitch> 3.9-1.mga8
+ Revision: 1630750
- new version 3.9

* Thu Feb 20 2020 umeabot <umeabot> 3-11.mga8
+ Revision: 1546297
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 wally <wally> 3-10.mga8
+ Revision: 1486311
- add pyver macro from rpm-setup to macros.python-mga

* Fri Sep 06 2019 wally <wally> 3-9.mga8
+ Revision: 1437726
- add more strict requires for python-srpm-macros

* Wed Sep 04 2019 wally <wally> 3-8.mga8
+ Revision: 1437124
- turn off the brp-python-bytecompile automagic
- sync with Fedora
- notable changes
  - switch %%python_provide behavior between Python 2 <--> 3
  - use a new module compileall2 for Python byte-compilation

* Sat Jan 12 2019 wally <wally> 3-7.mga7
+ Revision: 1355635
- add %%pypi_source lua scriptlet to srpm macros (from Fedora)

* Thu Sep 20 2018 umeabot <umeabot> 3-6.mga7
+ Revision: 1290006
- Mageia 7 Mass Rebuild

* Tue Aug 15 2017 philippem <philippem> 3-5.mga7
+ Revision: 1140755
- Add --no-deps option to py_install_wheel macros

* Wed Jan 18 2017 philippem <philippem> 3-4.mga6
+ Revision: 1082243
- sync with Fedora
- Add %%py_build_wheel and %%py_install_wheel macros
- Add %%py_build_egg and %%py_install_egg macros
- Allow multiple args to %%py_build/install macros

* Thu Apr 28 2016 tv <tv> 3-3.mga6
+ Revision: 1007123
- restore %%py[23]_inc macros

* Wed Apr 27 2016 tv <tv> 3-2.mga6
+ Revision: 1006861
- make py[23] packages require common python-rpm-macros pkg

* Tue Apr 26 2016 tv <tv> 3-1.mga6
+ Revision: 1006690
- move pybytecompile in %%_rpmconfigdir too
- resync with FC
- rename files like upstream

* Sun Feb 28 2016 wally <wally> 1-3.mga6
+ Revision: 980270
- add conflicts because of files were moved between pkgs

* Sun Feb 28 2016 philippem <philippem> 1-2.mga6
+ Revision: 980214
- change files extension, seems that .macro is mandatory

* Sat Feb 27 2016 philippem <philippem> 1-1.mga6
+ Revision: 980043
- imported package python-rpm-macros

